WebAssembly Studio 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
WebAssembly Studio 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
WebAssembly Studio 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !
授权协议 MIT
操作系统 跨平台
软件类型 开源软件
所属分类 开发工具
开源组织 Mozilla
地区 不详
投 递 者
适用人群 未知
收录时间 2018-04-17

软件简介

WebAssembly Studio 是 Mozilla 推出的一个在线 IDE,这个在线 IDE 将帮助开发者学习或是教授 WebAssembly,Mozilla 表示在任何使用 WebAssembly 的场景都派得上用场。

WebAssembly Studio 提供的几项主要功能,包括:

  • 支持 C,C++ 和 Rust 语言,后续还计划支持编译为 WebAssembly 的任何语言。虽然目前编译器工作主要在服务器端执行,但 Mozilla 希望之后可以将更多的工作负载放到客户端

  • 编辑 WebAssembly 二进制模块和测试文件(.Wasm 与 .Wat 文件)

  • 可访问的工具,在上下文菜单中提供了许多功能

  • 通过嵌入系统交互嵌入 WebAssembly Studio 项目,以嵌入内容

在线地址:http://webassembly.studio/

展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论

点击加入讨论🔥(3) 发布并加入讨论🔥
发表了资讯
2018/04/17 08:17

Mozilla 释出在线 IDE:WebAssembly Studio 测试版

WebAssembly Studio 是在 2017 年 12 月才启动的计划,该工具合并了两项 Mozilla 现有的工具 —— WasmExplorer 和 WasmFiddle,并增加了几项新功能,成为了现在的 WebAssembly Studio 测试版。 为增强 WebAssembly 的生态,Mozilla 释出了 WebAssembly Studio 的测试预览版,这个在线 IDE 将帮助开发者学习或是教授 WebAssembly,而 Mozilla 称 WebAssembly Studio 为一把万能瑞士军刀,在任何使用 WebAssembly 的场景都派得上...

9
30
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
发表了博客
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
发表了问答
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
follow-redirects project信息暴露漏洞
信息暴露
Exposure of Sensitive Information to an Unauthorized Actor in NPM follow-redirects prior to 1.14.8.
CVE-2022-0536 MPS-2022-3636
2022-08-08 20:55
serialize-to-js 跨站脚本漏洞
XSS
serialize-to-js是一款能够将对象序列化为字符串的软件包。 serialize-to-js(NPM)3.0.1之前版本中存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。
CVE-2019-16772 MPS-2019-15918
2022-08-08 20:55
merge-deep 安全漏洞
merge-deep是开源的一个工具。用于递归合并 JavaScript 对象中的值。 merge-deep 3.0.3之前存在安全漏洞,该漏洞源于merge-deep库可能会被欺骗到覆盖Object的属性,merge-deep库可能会被欺骗到覆盖Object的属性。、
CVE-2021-26707 MPS-2021-7924
2022-08-08 20:55
Async 安全漏洞
原型污染
Async是英国Caolan McMahon个人开发者的一个实用模块。用于使用异步 JavaScript。 Async 3.2.1 及之前版本存在安全漏洞,该漏洞源于 mapValues() 方法。攻击者可通过 mapValues() 方法获取权限。
CVE-2021-43138 MPS-2021-34434
2022-08-08 20:55
handlebars 存在拒绝服务漏洞
拒绝服务
handlebars 是 Mustache 模板语言的扩展。此软件包的受影响版本容易受到原型污染。
MPS-2022-13734
2022-08-08 20:55
https-proxy-agent 存在中间人攻击漏洞
中间人攻击
https-proxy-agent 是一个提供 http.Agent 实现的模块,可以连接到指定的 HTTP 或 HTTPS 代理服务器,并且可以与内置的 https 模块一起使用。此软件包的受影响版本容易受到中间人 (MitM) 的攻击。
MPS-2022-13770
2022-08-08 20:55
istanbul-reports 存在通过 window.opener 访问使用指向不受信任目标的 Web 链接漏洞
通过 window.opener 访问使用指向不受信任目标的 Web 链接
由于指向 https://istanbul 的链接中没有 rel 属性,因此该软件包的受影响版本容易受到反向 Tabnabbing 的攻击。
MPS-2022-13797
2022-08-08 20:55
handlebars 注入漏洞
原型污染
handlebars是一款语义化的Web模板系统。 handlebars 4.3.0之前版本中存在注入漏洞。攻击者可借助特制的payloads利用该漏洞执行任意代码。
CVE-2019-19919 MPS-2019-16888
2022-08-08 20:55
ua-parser-js 资源管理错误漏洞
拒绝服务
ua-parser-js是基于JavaScript的User-Agent字符串解析器。可以在浏览器(客户端)或node.js(服务器端)环境中使用。也可以作为jQuery / Zepto插件,Bower / Meteor软件包和RequireJS / AMD模块使用。 ua-parser-js 0.7.23 之前版本存在安全漏洞,该漏洞源于ue -parser-js很容易受到正则表达式在多个正则表达式中的拒绝服务(ReDoS)的攻击。
CVE-2020-7793 MPS-2020-17428
2022-08-08 20:55
jszip 安全漏洞
jszip是一个用于创建、读取和编辑.zip文件的JavaScript库。 jszip 3.7.0之前版本存在安全漏洞,该漏洞源于当创建一个新的zip文件,文件名设置为对象原型值时,将返回一个带有修改过的原型实例的对象。
CVE-2021-23413 MPS-2021-11050
2022-08-08 20:55
handlebars 安全漏洞
handlebars是一款语义化的Web模板系统。 handlebars 4.7.7版本之前存在安全漏洞,该漏洞源于在选择某些编译选项来编译来自不受信任的源的模板时,handlebars容易受到远程代码执行(Remote Code Execution, RCE)的攻击。
CVE-2021-23369 MPS-2021-4548
2022-08-08 20:55
Digital Bazaar Forge 输入验证错误漏洞
跨站重定向
Digital Bazaar Forge是美国Digital Bazaar公司的一个 Tls 在 Javascript 中的本机实现以及用于编写基于加密和网络密集型 Web 应用程序的开源工具。 Digital Bazaar Forge 中存在输入验证错误漏洞,该漏洞源于产品允许URL重定向到不受信任的站点。
CVE-2022-0122 MPS-2022-0421
2022-08-08 20:55
js-yaml 存在代码注入漏洞
代码注入
js-yaml 是一种人性化的数据序列化语言。此软件包的受影响版本容易受到任意代码执行的影响。
MPS-2022-13822
2022-08-08 20:55
node-forge 输入验证错误漏洞
动态确定对象属性修改的控制不恰当
node-forge是一个应用软件。一个用于 node-forge 的 WebJar。 所有版本的node-forge软件包都易于通过setPath函数受到原型污染。
CVE-2020-7720 MPS-2020-12281
2022-08-08 20:55
Elliptic package 输入验证错误漏洞
整数溢出或超界折返
Elliptic package是一款基于JavaScript的椭圆曲线密码库。 Elliptic package 6.5.2版本(Node.js)中存在安全漏洞。攻击者可利用该漏洞提升权限。
CVE-2020-13822 MPS-2020-8202
2022-08-08 20:55
Ajv 输入验证错误漏洞
输入验证不恰当
Ajv 6.12.2版本中的ajv.validate()函数中存在输入验证错误漏洞。攻击者可利用该漏洞执行代码或造成拒绝服务。
CVE-2020-15366 MPS-2020-10525
2022-08-08 20:55
npm url-parse 输入验证错误漏洞
输入验证不恰当
npm url-parse 1.4.4及之前版本中存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。
CVE-2020-8124 MPS-2020-1742
2022-08-08 20:55
Yargs Y18n 输入验证错误漏洞
动态确定对象属性修改的控制不恰当
Yargs Y18n是Yargs个人开发者的一个类似I18n的由Js编写的代码库。 y18n before 3.2.2, 4.0.1 and 5.0.5版本存在输入验证错误漏洞,该漏洞源于网络系统或产品未对输入的数据进行正确的验证。
CVE-2020-7774 MPS-2020-17543
2022-08-08 20:55
Npm underscore 代码注入漏洞
代码注入
Underscore.js 是一个用于 JavaScript 的实用工具带库,它为常见的功提供支持,而无需扩展任何核心 JavaScript 对象。 漏洞版本中存在代码注入漏洞,攻击者可利用该漏洞容易通过模板函数执行任意代码。
CVE-2021-23358 MPS-2021-3658
2022-08-08 20:55
elliptic 存在竞争条件漏洞
竞争条件
elliptic 是一个简单的 javascript 实现中的快速椭圆曲线密码学。此软件包的受影响版本容易受到时序攻击。
MPS-2022-13653
2022-08-08 20:55
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
3 评论
12 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部